Subject: bug#26802: Single source file emacs packages get a ".el.el" extension

From: Alex Kost <[email-masked]>
Date: Tue, 16 May 2017 20:29:17 +0300

Arun Isaac (2017-05-15 18:58 +0530) wrote:

>> I'm not sure, I think:
>>
>> - it's too much for all the sources, as the upstream source may not
>> contain a version in the file name at all.  Do we really want to raise a
>> warning in this case?
>
>> - and it's not enough for ".el" sources, I mean "something-version.el"
>> is not enough, as the file name must exactly be "name-version.el" (as it
>> is with ELPA single-filed sources), so the emacs-build-system will
>> output "name.el" file which will correspond to 'name' feature provided
>> by this file.
>
> You have a point, but...
>
> If all packages cannot be expected to have "name-version", then it is
> unreasonable and arbitrary to only expect single source file emacs
> packages to have a filename of this format. Instead, the emacs build
> system should be made more robust so that it can tolerate a souce file
> name like "web-mode.el" and still produce the correct installation path.

Yeah, it would definitely be good to make emacs-build-system more robust.

After thinking more, I came to the conclusion that expanding the linter
to check any source for "name-version" is a good idea (if this is what
you suggest, then I agree with you!)  So if a source name has some other
form, it would be linted, and can be fixed with 'file-name' field.  I
think such consistency in source file names would be really great.

Apparently, this was your original propose (right?), now I support this
idea! :-)

-- 
Alex